{% extends 'base.html' %}

{% block content %}
<div class="container">
  {%if user.is_anonymous %}
    {% if validlink %}
      <div class="row">
          <div class="text-center">
            <h2>Forgot password</h2>
          </div>
      </div>
      <form method="post">
      <div class="row">
        <div class="form-group">
          <label for="{{ form.new_password1.id_for_label }}">{{ form.new_password1.label_tag }}</label>
          <input type="password" name="{{ form.new_password1.html_name}}" autocomplete="off" id="{{ form.new_password1.id_for_label}}" class="form-control" value required />
        </div>
      </div>  
      <div class="row">
        <div class="form-group">
          <label for="{{ form.new_password2.id_for_label}}">{{ form.new_password2.label_tag }}</label>
          <input type="password" name="{{ form.new_password2.html_name}}" autocomplete="off" id="{{ form.new_password2.id_for_label}}" class="form-control" value required />
        </div>
        {{ form.new_password2.errors }}
      </div>
      {% csrf_token %}
      <div class="row">
        <div class="form-group">
          <button type="submit" class="btn btn-primary">Change password</button>
        </div>
      </div>
      </form>
    {% else %}
      <div class="text-center">
      <p>
        The password reset link was invalid, possibly because it has already been used.
        Please request a new password reset.
      </p>
       <a href="{% url 'account:sign-in' %}">Login</a>
      </div>
    {% endif %}
  {% else %}
      <div class="text-center">
        <h3>You have already login</h3> 
        <a href="{% url 'account:logout' %}">Logout</a>
      </div>
  {% endif %}
</div>
{% endblock %}